### Function

# Gimp value_take_int32_array

#### Declaration [src]

    void
    gimp_value_take_int32_array (
      GValue* value,
      gint32* data,
      gsize length
    )

#### Description [src]

Sets the contents of `value` to `data`, and takes ownership of `data`.

#### Parameters

`value`

  Type: `GValue`

  A valid value of type %GIMP_TYPE_int32_ARRAY.

  The data is owned by the caller of the function.

`data`

  Type: An array of `gint32`

  A #gint32 array.

  The length of the array is specified in the `length` argument.
  The called function takes ownership of the data, and is responsible for freeing it.

`length`

  Type: `gsize`

  The number of elements in `data`.